Search Org Oidc Groups

Search Org Oidc Groups
Search the org's OIDC IDP for groups.

Search the OIDC identity provider configured for the operating organization and return matching groups.

Supported filter field: name. Supported operator: == with an optional * wildcard at the start, end, or both ends of the value. Wildcards embedded within the value are rejected. All comparisons are case-insensitive.

At most 128 records are returned regardless of how many match in the IDP. The resultTotal field on the response indicates how many records matched the filter in the IDP; if it exceeds the number of returned values, refine the filter to narrow the result set rather than relying on pagination (this endpoint does not page).

Request
URI
GET
https://{api_host}/cloudapi/v1/orgSettings/oidc/search/groups
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserGroups of type(s) application/json;version=9.1.1
This response body class contains all of the following: Page , InlineUserGroups1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string",
            "description": "string",
            "orgEntityRef": {
                "name": "string",
                "id": "string"
            },
            "sourceEntityRef": {
                "name": "string",
                "id": "string"
            },
            "roleEntityRefs": [
                {
                    "name": "string",
                    "id": "string"
                }
            ],
            "nameInSource": "string",
            "providerType": "string"
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/orgSettings/oidc/search/groups